> ## Documentation Index
> Fetch the complete documentation index at: https://nadsoft.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice Agent Templates Route

> Use this route to get the voice agent templates created by our experts. You can take the template id and use clone voice agent route to create a new voice agent based on the template.



## OpenAPI

````yaml GET /v1/voice-agents/templates
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/voice-agents/templates:
    get:
      summary: Retrieve a specific voice agent by ID
      description: >-
        Use this route to get the voice agent templates created by our experts.
        You can take the template id and use clone voice agent route to create a
        new voice agent based on the template.
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceAgentTemplatesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    VoiceAgentTemplatesResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
        message:
          type: string
          default: success
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              agentName:
                type: string
              greetingMessage:
                type: string
              description:
                type: string
              preamble:
                type: string
              lang:
                type: string
              voice:
                type: string
                enum:
                  - ar-msa
                  - en-default
                  - ar-gulf
              pokeMessages:
                type: array
                items:
                  type: string
              realTime:
                type: boolean
              silenceThreshold:
                type: integer
              interrupt:
                type: boolean
              outcome:
                type: string
                nullable: true
              isTemplate:
                type: boolean
              icon:
                type: string
                format: uri
              projectId:
                type: string
              apiKeyId:
                type: string
              voiceRecordId:
                type: string
                nullable: true
              createdAt:
                type: string
                format: date-time
              updatedAt:
                type: string
                format: date-time
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.